Skip to content
Data intensive science for everyone.
Branch: dev
Clone or download
mvdbeek Merge pull request #7540 from jmchilton/history_ready_2
History Import/Export Fixes and Enhancements Ahead of New Format
Latest commit c41594f Mar 25, 2019
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.ci
.circleci backport circleci testing Mar 22, 2019
client Merge remote-tracking branch 'upstream/release_19.01' into dev Mar 22, 2019
config Make LSF project settable and updates example job_conf.xml.sample_adv… Mar 22, 2019
contrib
cron
database Restore database/info.txt. Nov 10, 2017
display_applications
doc
lib Merge pull request #7540 from jmchilton/history_ready_2 Mar 25, 2019
locale Modify some string in Mako templetes for complete i18n support. Nov 24, 2011
openid Remove deprecated AOL openid backend. Jul 16, 2018
scripts Merge remote-tracking branch 'upstream/release_19.01' into dev Mar 22, 2019
static
templates
test-data
test Merge pull request #7540 from jmchilton/history_ready_2 Mar 25, 2019
tool-data Remove errant space in intermine_simple_display.loc.sample Feb 4, 2019
tools
.coveragerc Add include-ignored, otherwise spams stderr out Aug 25, 2018
.gitignore
.travis.yml Restore empty lines Mar 22, 2019
CITATION
CODE_OF_CONDUCT.md Fix typo found by @nsoranzo. Aug 25, 2015
CONTRIBUTING.md Proofreading - thanks @nsoranzo Mar 28, 2018
CONTRIBUTORS.md
LICENSE.txt
Makefile
README.rst
SECURITY_POLICY.md Add @jmchilton's comments May 16, 2017
create_db.sh
extract_dataset_parts.sh Make the startup scripts play just as nicely with Conda as they do with Apr 4, 2018
manage_db.sh Make the startup scripts play just as nicely with Conda as they do with Apr 4, 2018
pytest.ini
requirements.txt Pin release wheel verisons. pinned-requirements.txt renamed to Jan 13, 2016
rolling_restart.sh Restore a line deleted by mistake. Thanks John. Feb 2, 2015
run.sh Merge branch 'release_18.09' into dev Nov 15, 2018
run_reports.sh
run_tests.sh
run_tool_shed.sh
setup.cfg
tool_list.py
tox.ini Drop support for Python 3.4. Officially support Python >=3.5 Jan 31, 2019

README.rst

Galaxy Logo

The latest information about Galaxy can be found on the Galaxy Community Hub.

Community support is available at Galaxy Help.

Chat on irc Chat on gitter Release Documentation Inspect the test results

Galaxy Quickstart

Galaxy requires Python 2.7 To check your python version, run:

$ python -V
Python 2.7.3

Start Galaxy:

$ sh run.sh

Once Galaxy completes startup, you should be able to view Galaxy in your browser at:

http://localhost:8080

Configuration & Tools

You may wish to make changes from the default configuration. This can be done in the config/galaxy.ini file.

Tools can be either installed from the Tool Shed or added manually.
For details please see the tutorial.

Note that not all dependencies for the tools provided in the tool_conf.xml.sample are included. To install them please visit "Manage dependencies" in the admin interface.

Issues and Galaxy Development

Please see CONTRIBUTING.md .

Roadmap

Interested in the next steps for Galaxy? Take a look at the roadmap.

You can’t perform that action at this time.